DiagnosticKeys (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.lib.output.committer.manifest.files, class: DiagnosticKeys

Package org.apache.hadoop.mapreduce.lib.output.committer.manifest.files

# Class DiagnosticKeys

java.lang.Object
org.apache.hadoop.mapreduce.lib.output.committer.manifest.files.DiagnosticKeys

@Public @Unstable public final class DiagnosticKeys extends Object
Diagnostic keys in the manifests.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EXCEPTION`
  `static final String`
  `FREE_MEMORY`
  `static final String`
  `HEAP_MEMORY`
  `static final String`
  `MANIFESTS`
  Directory where manifests were renamed: "manifests".
  `static final String`
  `PRINCIPAL`
  Attribute added to diagnostics in _SUCCESS file.
  `static final String`
  `STACKTRACE`
  `static final String`
  `STAGE`
  `static final String`
  `TOTAL_MEMORY`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PRINCIPAL

    public static final String PRINCIPAL
    Attribute added to diagnostics in _SUCCESS file.
    See Also:
      - Constant Field Values

  - ### STAGE

    public static final String STAGE
    See Also:
      - Constant Field Values

  - ### EXCEPTION

    public static final String EXCEPTION
    See Also:
      - Constant Field Values

  - ### STACKTRACE

    public static final String STACKTRACE
    See Also:
      - Constant Field Values

  - ### TOTAL_MEMORY

    public static final String TOTAL_MEMORY
    See Also:
      - Constant Field Values

  - ### FREE_MEMORY

    public static final String FREE_MEMORY
    See Also:
      - Constant Field Values

  - ### HEAP_MEMORY

    public static final String HEAP_MEMORY
    See Also:
      - Constant Field Values

  - ### MANIFESTS

    public static final String MANIFESTS
    Directory where manifests were renamed: "manifests".
    See Also:
      - Constant Field Values